package project.init;
import java.awt.FileDialog;
import java.io.*; 

import javax.swing.*;

import project.brain.component.Tree;

public class FileIO{

	private Tree tree;
	public FileIO(Tree tree){
		this.tree = tree;
	}
	
	public boolean openFile(){
		try {
			FileDialog openFile = new FileDialog(new JFrame(), "Ͽ", FileDialog.LOAD);
			openFile.setVisible(true);
			String openFileName = openFile.getFile();
			if(openFileName == null){
				return false;
			}
			String dir = openFile.getDirectory();
			
			if (!openFileName.contains(".bs")) {
				JOptionPane.showConfirmDialog(new JFrame(), " ùٸ ʽϴ.",
						"Ͽ ", JOptionPane.DEFAULT_OPTION);
				return false;
			}
			dir += openFileName;
			FileInputStream fis = new FileInputStream(dir);
			ObjectInputStream ois = new ObjectInputStream(fis);
			Object readObj = ois.readObject(); 
			
			tree.removeAllNode();
			tree.setOpinionsPerNodeList(readObj);
			tree.resetTree();
			ois.close();
			return true;
		} catch (Exception ie) {
			System.out.println(ie.getMessage());
		}
		return false;
	}
	public void saveFile(){
		try {
			FileDialog saveFile = new FileDialog(new JFrame(), "", FileDialog.SAVE);
			saveFile.setVisible(true);
			
			String saveName = saveFile.getFile();
			String dir = saveFile.getDirectory();
			if (!saveName.contains(".bs"))
				saveName += ".bs";
			dir += saveName;
			FileOutputStream fos = new FileOutputStream(dir);
			ObjectOutputStream oos = new ObjectOutputStream(fos);

			oos.writeObject(tree.getOpinionsPerNodeList()); 
			oos.close();
		} catch (Exception ie) {
			System.out.println(ie.getMessage());
		}

	}
}
